 <?php
error_reporting(1);
header('Content-Type: text/html; charset=UTF-8');
require_once ("config/db.php");
require_once ("config/conexion.php"); 
require_once ("correo_cierres/class.phpmailer.php");
    
    date_default_timezone_set("America/Lima");
    $fecha_actual = date('Y-m-d');
    $fecha_actual_1_dia_antes = strtotime('-1 day', strtotime($fecha_actual));
    $fecha_busqueda_put = date('Y-m-d', $fecha_actual_1_dia_antes);
    
    
 function conocerDiaSemanaFecha($fecha) {
    $dias = array('Domingo', 'Lunes', 'Martes', 'Miércoles', 'Jueves', 'Viernes', 'Sábado');
    $dia = $dias[date('w', strtotime($fecha))];
    return $dia;
}


function eliminar_tildes($cadena){

   

    //Ahora reemplazamos las letras
    $cadena = str_replace(
        array('á', 'à', 'ä', 'â', 'ª', 'Á', 'À', 'Â', 'Ä'),
        array('a', 'a', 'a', 'a', 'a', 'A', 'A', 'A', 'A'),
        $cadena
    );

    $cadena = str_replace(
        array('é', 'è', 'ë', 'ê', 'É', 'È', 'Ê', 'Ë'),
        array('e', 'e', 'e', 'e', 'E', 'E', 'E', 'E'),
        $cadena );

    $cadena = str_replace(
        array('í', 'ì', 'ï', 'î', 'Í', 'Ì', 'Ï', 'Î'),
        array('i', 'i', 'i', 'i', 'I', 'I', 'I', 'I'),
        $cadena );

    $cadena = str_replace(
        array('ó', 'ò', 'ö', 'ô', 'Ó', 'Ò', 'Ö', 'Ô'),
        array('o', 'o', 'o', 'o', 'O', 'O', 'O', 'O'),
        $cadena );

    $cadena = str_replace(
        array('ú', 'ù', 'ü', 'û', 'Ú', 'Ù', 'Û', 'Ü'),
        array('u', 'u', 'u', 'u', 'U', 'U', 'U', 'U'),
        $cadena );

    $cadena = str_replace(
        array('ñ', 'Ñ', 'ç', 'Ç'),
        array('n', 'N', 'c', 'C'),
        $cadena
    );

    return $cadena;
}



 
 
    
    // EMITIDOS....
 
	$sql=mysqli_query($con, "SELECT COUNT(*) as cant_fact_emi FROM `SF_DOC_ELECTRONICO` WHERE `tipoDocumento` = 1 AND `fechaEmision` = '$fecha_busqueda_put'");
	while ($row=mysqli_fetch_array($sql)){
		$cant_fact_emi=$row["cant_fact_emi"]; 
	}
	
	$sql=mysqli_query($con, "SELECT COUNT(*) as cant_bol_emi FROM `SF_DOC_ELECTRONICO` WHERE `tipoDocumento` = 3 AND `fechaEmision` = '$fecha_busqueda_put'");
	while ($row=mysqli_fetch_array($sql)){
		$cant_bol_emi=$row["cant_bol_emi"]; 
	}
	
	// ENVIADOS A SUNAT EXITOSAMENTE....
	
	$sql=mysqli_query($con, "SELECT COUNT(*) as cant_fact_env_sunat FROM `SF_DOC_ELECTRONICO` WHERE `tipoDocumento` = 1 AND enviado_sunat=1 AND `fechaEmision` = '$fecha_busqueda_put'");
	while ($row=mysqli_fetch_array($sql)){
		$cant_fact_env_sunat=$row["cant_fact_env_sunat"]; 
	}
	
	$sql=mysqli_query($con, "SELECT COUNT(*) as cant_bol_env_sunat FROM `SF_DOC_ELECTRONICO` WHERE `tipoDocumento` = 3 AND enviado_sunat=1 AND `fechaEmision` = '$fecha_busqueda_put'");
	while ($row=mysqli_fetch_array($sql)){
		$cant_bol_env_sunat=$row["cant_bol_env_sunat"]; 
	}
	
	// ENVIADOS A SUNAT CON ERROR....
	
		$sql=mysqli_query($con, "SELECT COUNT(*) as cant_fact_error_sunat FROM `SF_DOC_ELECTRONICO` WHERE `tipoDocumento` = 1 AND enviado_sunat=2 AND `fechaEmision` = '$fecha_busqueda_put'");
	while ($row=mysqli_fetch_array($sql)){
		$cant_fact_error_sunat=$row["cant_fact_error_sunat"]; 
	}
	
	$sql=mysqli_query($con, "SELECT COUNT(*) as cant_bol_error_sunat FROM `SF_DOC_ELECTRONICO` WHERE `tipoDocumento` = 3 AND enviado_sunat=2 AND `fechaEmision` = '$fecha_busqueda_put'");
	while ($row=mysqli_fetch_array($sql)){
		$cant_bol_error_sunat=$row["cant_bol_error_sunat"]; 
	}
	
        $total1=number_format($cant_fact_emi+$cant_bol_emi);
		$total2=number_format($cant_fact_env_sunat+$cant_bol_env_sunat);
		$total3=number_format($cant_fact_error_sunat+$cant_bol_error_sunat);
 

		$fecha_convertida=date("d-m-Y", strtotime($fecha_busqueda_put));
		$titulo = 'VENTAFACT - NOTIFICACIONES - REPORTE TRANSACCIONES A SUNAT DEL DIA: '.' '.eliminar_tildes(conocerDiaSemanaFecha($fecha_convertida)).' '.$fecha_convertida; 
		
		
		$valor2 =  "<h3 style='color:#000000;'> TOTAL DE DOCUMENTOS EMITIDOS: ".''."</h3>";
		$valor2 .= "<h3 style='color:#0000FF; margin-top: -10px;'> ---------------------------------------- ".''."</h3>";
		$valor2 .= "<h3 style='color:#0000FF;'> Boletas:   ".$cant_bol_emi."</h3>";
		$valor2 .= "<h3 style='color:#0000FF;'> Facturas:  ".$cant_fact_emi."</h3>";
		$valor2 .= "<h3 style='color:#0000FF;'> ---------------------------------------- ".''."</h3>";
		$valor2 .= "<h3 style='color:#000000;'> Total:	  ".$total1."</h3><br>";



		$valor2 .= "<h3 style='color:#000000;'> TOTAL DE DOCUMENTOS INFORMADOS EXITOSAMENTE A SUNAT: ".''."</h3>";
		$valor2 .= "<h3 style='color:#0000FF;'> ---------------------------------------- ".''."</h3>";
		$valor2 .= "<h3 style='color:#0000FF;'> Boletas:   ".$cant_bol_env_sunat."</h3>";
		$valor2 .= "<h3 style='color:#0000FF;'> Facturas:    ".$cant_fact_env_sunat."</h3>";
		$valor2 .= "<h3 style='color:#0000FF;'> ---------------------------------------- ".''."</h3>";
		$valor2 .= "<h3 style='color:#000000;'> Total:	  ".$total2."</h3><br>";
			
		
		
		$valor2 .= "<h3 style='color:#000000;'> TOTAL DE DOCUMENTOS CON ERROR AL ENVIAR A SUNAT:  ".''."</h3>";
		$valor2 .= "<h3 style='color:#0000FF;'> ---------------------------------------- ".''."</h3>";
		$valor2 .= "<h3 style='color:#0000FF;'> Boletas:   ".$cant_bol_error_sunat."</h3>";
		$valor2 .= "<h3 style='color:#0000FF;'> Facturas:    ".$cant_fact_error_sunat."</h3>"; 
		$valor2 .= "<h3 style='color:#0000FF;'> ---------------------------------------- ".''."</h3>";
		$valor2 .= "<h3 style='color:#000000;'> Total:	  ".$total3."</h3><br>";
		
		
		

		$valor2 .= "<h3 style='color:#000000;'> Desarrollado por:   Servicios Profesionales de Informatica".''."</h3>"; 

		$str = str_replace('\n', '<br>', $valor2); // contenido con replace
		$valor3 = $correos_json; // correo destinatario

		$mail = new PHPMailer();
		$mail->IsSMTP();
		$mail->SMTPDebug = 0;
		$mail->SMTPAuth = true;

		$mail->SMTPSecure = "ssl";
		$mail->Host = "mail.ventafact.net.pe";
		$mail->Port = 465;
		$mail->Username = "notification@ventafact.net.pe";
		$mail->Password = "iim0(l}9mAqM";
		$mail->SetFrom('notification@ventafact.net.pe', $titulo);
		
		$mail->Subject = $titulo;
		$mail->MsgHTML(".$str.");
		
		$address_replica = "ing.jesus.cuauro@gmail.com";
		$mail->AddAddress($address_replica, $address_replica);

	    if ($mail->Send()){
		$data = array('mensaje' => 'ok_insert',  'envio' => '1',); 
		$json = json_encode($data);
		header('Content-Type: application/json');
		echo $json;
	    }else{
	   	$data = array('mensaje' => 'ok_insert',  'envio' => '0',); 
		$json = json_encode($data);
		header('Content-Type: application/json');
		echo $json;
	    }

 
		
		
	 

 
	

 

?>